/**
 *文件上传
 */
function uploadFn(){
	var bool=true;
	if($("#templateType").val()=='' || $("#templateType").val()==null ){
		alert("请选择上传文件类型!");
		bool=false;
		return;
	}
	if($("#fileTemp").val()=='' || $("#fileTemp").val()==null){
		alert("请选择文件!");
		bool=false;
		return;
	}
	if(bool){
		$("#uploadForm").ajaxSubmit({
	         type: 'post',  
	         url: "./uploadExcel.do",   
	         success: function(data) {
	        	 if(data!=null && data!=""){
//	        		 alert(data.replace(/\!/g,"!\n"));
	        		 if(data=="000000"){
	        			 alert("文件上传成功!");
	        		 }else{
	        			 clearErrorMsgFn("1");
		        		 var arr=data.replace(/\!/g,"!\n").split("!");
		        		 for ( var i = 0; i < arr.length; i++) {
		        			 var tr="<tr><td>"+(i+1)+"</td><td>"+arr[i]+"</td><tr>";
		        			 $("#errorMsg").append(tr);
						}
	        		 }
	        	 }else{
	        		 alert("上传失败!未知的错误!");
	        	 }
	         },
	         error :function(data){
	        		 alert("上传错误!");
			}
	   });  
	}
}

function queryByCondsFn(){
	
	if(($("#uploadBeginDate").val()!=null && $("#uploadBeginDate").val()!="") && ($("#uploadEndDate").val()!=null && $("#uploadEndDate").val()!="") ){
		$("#queryForm").attr("action","./requestCondsQuery.do");
		$("#queryForm").attr("method","POST");
		$("#queryForm").submit();
		$("#page").val('');
	}else{
		alert("导入日期必填!");
	}
}

function listPageFn(pageNo,pageType){
	if(pageType==1){//首页
		if($("#page").val()=="0"){
			return;
		}else{
			$("#page").val("0");
		}
	}else if(pageType==2){//上一页
		if($("#page").val()=="0"){
			return;
		}else{
			$("#page").val(($("#page").val()*1)-1);
		}
	}else if(pageType==3){//下一页
		if(($("#page").val()*1+1)==$("#totalPages").val()){
			return;
		}else{
			$("#page").val(($("#page").val()*1)+1);
		}
	}else if(pageType==4){//尾页
		if(($("#page").val()*1+1)==$("#totalPages").val()){
			return ;
		}else{
			$("#page").val($("#totalPages").val()*1-1);
		}
	}else if(pageType==5){//跳转至
		var patrn=/^\d+$/; 
		if(pageNo==null || pageNo==""){
			return ;
		}
	    if (!patrn.exec(pageNo)) {
	    	alert("输入非法!");
	    	return ;
	    }else{
	    	if(pageNo!="0"&&(pageNo*1)<=$("#totalPages").val()*1){
	    		$("#page").val((pageNo*1-1));
	    	}else{
	    		alert("输入非法!");
		    	return ;
	    	}
	    }
	}else {
		alert("无效操作!");
		return;
	}
	queryByCondsFn();
}

function downloadTemplateFn(flag){
	var param = {};
	param.templateType = flag;
	SkipByPost("downloadTemplate.do",param);
}

function changeValueFn(val,elementId){
	$("#"+elementId).val(val);
}

function clearErrorMsgFn(flag){
	if(flag=="1"){
		$("#errorDiv").css("display","");
	}else{
		$("#errorDiv").css("display","none");
	}
	 $("#errorMsg").find("tr:gt(0)").remove();
}